<?php

session_start();
header("Access-Control-Allow-Origin: *");
require_once("./conexao.php");
$conn = conn();
$conn_s = conn_s();

$array = [];

$var_s[0] = [];
$var_s[1] = [];

if(empty($_POST)){
  $_POST = $_GET;
}

if (!empty($_POST['id'])) {
  $id = $_POST['id'];

  $getALl = mysqli_query($conn, "SELECT data_cadastro,id_processo,id_user FROM (
                                  SELECT id, data_cadastro,id_processo,id_user FROM processos_gerenciamento WHERE id_processo_iniciado = '$id'
                                  UNION
                                  SELECT id, data_cadastro,id_processo,id_user FROM processos_gerenciamento_dep WHERE id_processo_iniciado = '$id'
                                ) processos_gerenciamento ORDER BY id ASC");

  $cont = mysqli_num_rows($getALl);

  if ($cont > 0) {
    for ($cc=0;$cc<$cont;$cc++) {
      $lista = mysqli_fetch_array($getALl);

      //pegar usuário
      $getUser = mysqli_fetch_array(mysqli_query($conn, "SELECT nome FROM user WHERE id = '".$lista['id_user']."'"));

      $obs = "&nbsp;";


      $data = date("d-m-Y H:i:s", strtotime($lista['data_cadastro']));

      switch ($lista['id_processo']) {
        case 1:
          $class = "txt-success";
          $icon = "./utils/img/icons/check.svg";
          $situacao = "Solicitação feita pelo vendedor";
          break;
        case 2:
          $class = "txt-info";
          $icon = "./utils/img/icons/archive.svg";
          $situacao = "Peça retirada do depósito";
          break;
        case 3:
          $class = "txt-indigo";
          $icon = "./utils/img/icons/archive.svg";
          $situacao = "Peça recebida na boqueta";
          break;
        case 4:
          $class = "txt-secondary";
          $icon = "./utils/img/icons/vendedor.svg";
          $situacao = "Peça retirada da boqueta pelo vendedor";
          break;
        case 5:
          $class = "txt-warning";
          $icon = "./utils/img/icons/shuffle.svg";
          $situacao = "Peça recebida na boqueta para venda";
          break;
        case 6:
          $class = "txt-orange";
          $icon = "./utils/img/icons/stock.svg";
          $situacao = "Peça recebida na boqueta para guardar";
          break;
        case 7:
          $class = "txt-success";
          $icon = "./utils/img/icons/etiqueta-de-venda.svg";
          $situacao = "Peça despachada";
          break;
        case 8:
          $class = "txt-danger";
          $icon = "./utils/img/icons/refresh.svg";
          $situacao = "Peça retirada da boqueta para o estoque";
          break;
        case 9:
          $class = "txt-success";
          $icon = "./utils/img/icons/armazem.svg";
          $situacao = "Peça retornada ao depósito";
          break;
        case 10:
          $class = "txt-danger";
          $icon = "./utils/img/icons/cancelar.svg";
          $situacao = "Solicitação cancelada";
          break;
      }

      $array[$cc] = array(
        "class"     => $class,
        "icon"      => $icon,
        "situacao"  => $situacao,
        "obs"       => $obs,
        "data"      => $data,
        "user"      => $getUser['nome']
      );
    }
  }

  //Pegar Peças
  $getAllProdutos = mysqli_query($conn, "SELECT * FROM (
                                          SELECT id_produto, qtd_produto, qtd_retirada FROM processos_produtos WHERE id_processo = '$id'
                                          UNION
                                          SELECT id_produto, qtd_produto, qtd_retirada FROM processos_produtos_dep WHERE id_processo = '$id'
                                        ) processos_produtos ");
  $count = mysqli_num_rows($getAllProdutos);
  
  if ($count > 0) {
    while($lista = mysqli_fetch_array($getAllProdutos)) {
      $sql_dadosProduto = "SELECT SQL_ICODBUS,SQL_IDESCRI FROM uni_produtos_web WHERE id = '".$lista['id_produto']."'";
      $query_dadosProduto = mysqli_query($conn_s, $sql_dadosProduto);
      $dadosProduto = mysqli_fetch_assoc($query_dadosProduto);

      array_push($var_s[0], array(
        "codigo"        => trim($dadosProduto['SQL_ICODBUS']),
        "descricao"     => trim($dadosProduto['SQL_IDESCRI']),
        "qtd_total"     => $lista['qtd_produto'],
        "qtd_retirada"  => !empty($lista['qtd_retirada']) ? $lista['qtd_retirada'] : 0,
      ));
    }
  }

  //Pegar Observações
  $getAllObs = mysqli_query($conn, "SELECT * FROM processos_obs WHERE id_processo = '$id'");
  $count = mysqli_num_rows($getAllObs);
  if ($count > 0) {
    while ($lista = mysqli_fetch_array($getAllObs)) {
      //pegar usuário
      $dadosUser = mysqli_fetch_array(mysqli_query($conn, "SELECT nome FROM user WHERE id = '".$lista['id_user']."'"));

      array_push($var_s[1], array(
        "usuario"         => $dadosUser['nome'],
        "data"            => date("d-m-Y H:i:s", strtotime($lista['data_cadastro'])),
        "obs"             => !empty($lista['obs_descricao']) ? $lista['obs_descricao'] : "",
      ));

    }
  }
}

$var['time_line'] = $array;
$var['pecas'] = $var_s;

echo json_encode($var);